javafx.util

## Interface BuilderFactory

- All Known Implementing Classes:
    JavaFXBuilderFactory
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface BuilderFactory

  Interface representing a builder factory. Builder factories are used to produce builders.
  Since:
    JavaFX 2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Builder<?>` | `getBuilder(Class<?> type)` Returns a builder suitable for constructing instances of the given type.

- - ### Method Detail

    - #### getBuilder

          Builder<?> getBuilder(Class<?> type)

      Returns a builder suitable for constructing instances of the given type.
      Parameters:
        `type` -
      Returns:
        A builder for the given type, or `null` if this factory does not produce builders for the type.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.